Package io.vertx.rxjava3.httpproxy.interceptors

## Class BodyTransformer

- java.lang.Object
- - io.vertx.rxjava3.httpproxy.interceptors.BodyTransformer

- All Implemented Interfaces:
    `java.util.function.Function<Buffer,​Buffer>`

      public class BodyTransformer
      extends Object
      implements java.util.function.Function<Buffer,​Buffer>

  The callback to transform the request or response body.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<BodyTransformer>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BodyTransformer​(BodyTransformer delegate)` |
    `BodyTransformer​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Buffer` | `apply​(Buffer in)` |
    `static BodyTransformer` | `discard()` | Create a callback to discard the body.
    `boolean` | `equals​(Object o)` |
    `BodyTransformer` | `getDelegate()` |
    `int` | `hashCode()` |
    `static BodyTransformer` | `newInstance​(BodyTransformer arg)` |
    `String` | `toString()` |
    `static BodyTransformer` | `transformJson​(java.util.function.Function<Object,​Object> transformer)` | Create a callback for transform json with unknown shape.
    `static BodyTransformer` | `transformJsonArray​(java.util.function.Function<JsonArray,​JsonArray> transformer)` | Create a callback for transform JsonArray.
    `static BodyTransformer` | `transformJsonObject​(java.util.function.Function<JsonObject,​JsonObject> transformer)` | Create a callback for transform JsonObject.
    `static BodyTransformer` | `transformText​(java.util.function.Function<String,​String> transformer, String encoding)` | Create a callback for transform texts.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<BodyTransformer> __TYPE_ARG

  - ### Constructor Detail

    - #### BodyTransformer

          public BodyTransformer​(BodyTransformer delegate)

    - #### BodyTransformer

          public BodyTransformer​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### apply

          public Buffer apply​(Buffer in)

      Specified by:
        `apply` in interface `java.util.function.Function<Buffer,​Buffer>`

    - #### getDelegate

          public BodyTransformer getDelegate()

    - #### transformJsonObject

          public static BodyTransformer transformJsonObject​(java.util.function.Function<JsonObject,​JsonObject> transformer)

      Create a callback for transform JsonObject.
      Parameters:
        `transformer` - the operation to transform data
      Returns:
        the built callback

    - #### transformJsonArray

          public static BodyTransformer transformJsonArray​(java.util.function.Function<JsonArray,​JsonArray> transformer)

      Create a callback for transform JsonArray.
      Parameters:
        `transformer` - the operation to transform data
      Returns:
        the built callback

    - #### transformJson

          public static BodyTransformer transformJson​(java.util.function.Function<Object,​Object> transformer)

      Create a callback for transform json with unknown shape.
      Parameters:
        `transformer` - the operation to transform data
      Returns:
        the built callback

    - #### transformText

          public static BodyTransformer transformText​(java.util.function.Function<String,​String> transformer,
                                                      String encoding)

      Create a callback for transform texts.
      Parameters:
        `transformer` - the operation to transform data
        `encoding` -
      Returns:
        the built callback

    - #### discard

          public static BodyTransformer discard()

      Create a callback to discard the body.
      Returns:
        the built callback

    - #### newInstance

          public static BodyTransformer newInstance​(BodyTransformer arg)